Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class RealmManager

    java.lang.Object
      |
      +--oracle.security.jazn.realm.RealmManager

public abstract class RealmManager
extends Object

A RealmManager manages realms.

See Also:
  `Realm`

Constructor Summary
`RealmManager()`

Method Summary
`abstract Realm` | `createRealm(String name, InitRealmInfo realmInfo)` Creates a Realm, it's UserManager and RoleManager using the information specified in the InitRealmInfo object.
`abstract void` | `dropRealm(Realm realm)` Drops a Realm given the realm instance.
`abstract void` | `dropRealm(String name)` Drops a Realm of the specified name This operation will drop the entrie subtree belong the the specific realm.
`abstract Realm` | `getRealm(String name)` Gets the Realm instance of the specified name
`static RealmManager` | `getRealmManager()` Returns an instance of RealmManager
`abstract Set` | `getRealms()` Gets all the realms registered with JAZN.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealmManager

    public RealmManager()

Method Detail

### getRealmManager

    public static RealmManager getRealmManager()

  Returns an instance of RealmManager

### getRealms

    public abstract Set getRealms()
                           throws JAZNException

  Gets all the realms registered with JAZN.
  Returns:
    a set of Realm instances
  Throws:
    `JAZNNamingException` - if NamingException is encountered.
    `JAZNException`

### getRealm

    public abstract Realm getRealm(String name)
                            throws JAZNException

  Gets the Realm instance of the specified name
  Returns:
    the Realm instance of the specified name
  Throws:
    `JAZNNamingException` - if NamingException is encountered.
    `JAZNException`

### createRealm

    public abstract Realm createRealm(String name,
    InitRealmInfo realmInfo)
                               throws JAZNException

  Creates a Realm, it's UserManager and RoleManager using the information specified in the InitRealmInfo object.

  By default, the specified realm administrator will be granted the privileges to administor the realm instance. If an adminRole is specified, the administrative privileges will be granted to the adminRole instead. For a external realm: the specified users searchbase property will be used to locate the administrator with the name specified in adminUser. And the roles searchbase property will be used to locate the admin role with the the name specified in adminRole.

  Parameters:
    `name` - name of the Realm
    `realmInfo` - an instance of InitRealmInfoy
  Throws:
    `SecurityException` - if the caller does not have permission to invoke this method
    `JAZNObjectExistsException` - if object of the specified name already exists.
    `JAZNNamingException` - if a naming Exception is encountered.
    `JAZNException` - is an exception is encountered.
  See Also:
    `InitRealmInfo`

### dropRealm

    public abstract void dropRealm(String name)
                            throws JAZNException

  Drops a Realm of the specified name This operation will drop the entrie subtree belong the the specific realm. If it is a subscriber realm, it will also drop the subscriber JAZNContext subtree.
  Parameters:
    `name` - realm name
  Throws:
    `SecurityException` - if the caller does not have permission to invoke this method
    `JAZNObjectNotFoundException` - if object of the specified name doesn't exist.
    `JAZNNamingException` - if NamingException is encountered.
    `JAZNException` - if an exception is encountered

### dropRealm

    public abstract void dropRealm(Realm realm)
                            throws JAZNException

  Drops a Realm given the realm instance. This operation will drop the entrie subtree belong the the specific realm. If it is a subscriber realm, it will also drop the subscriber JAZNContext subtree.
  Throws:
    `SecurityException` - if the caller does not have permission to invoke this method
    `JAZNObjectNotFoundException` - if object of the specified name doesn't exist.
    `JAZNNamingException` - if NamingException is encountered.
    `JAZNException` - if an exception is encountered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.